Bug 400121 - Cannot capture sound from USB audio device
Cannot capture sound from USB audio device
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-26 15:51 EST by Chris Rankin
Modified: 2008-01-26 17:22 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-26 17:22:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The only scrap of a WAV file that arecord could generate. (44 bytes, application/octet-stream)
2007-11-26 15:51 EST, Chris Rankin
no flags Details

  None (edit)
Description Chris Rankin 2007-11-26 15:51:08 EST
Description of problem:
Can no longer capture sound from any sound device that uses snd-usb-audio
module. (E.g. a USB webcam)


Version-Release number of selected component (if applicable):
ALSA 1.0.15

How reproducible:
Very. I have tried two different webcam devices, and one creates a 44 byte file
only while the other creates a big file of silence.

Steps to Reproduce:
1. Define webcam in .asoundrc file as

ctl.webcam {
  type hw
  card 1
}

pcm.webcam {
  type plug
  slave {
    pcm "hw:1,0"
  }
}

3. Set mixer setting via "alsamixer -c 1"
4. arecord -D webcam -t wav -f cd -d 5 > testing.wav
5. aplay testing.wav

  
Actual results:
One webcam creates 5 seconds of silence, while the other creates a 44 byte file
and then hangs.

Expected results:
A .wav file of whatever noise is picked up by the microphone. This certainly
used to work.

Additional info:
Comment 1 Chris Rankin 2007-11-26 15:51:08 EST
Created attachment 269271 [details]
The only scrap of a WAV file that arecord could generate.
Comment 2 Chris Rankin 2007-12-01 09:48:29 EST
This is what "aplay -L" says on my machine. I am wondering why both webcams show
up in this list, because these devices are capture-only:

$ aplay -L
default:CARD=Audigy2
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Default Audio Device
front:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Front speakers
rear:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Rear speakers
center_lfe:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Center and Subwoofer speakers
side:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Side speakers
surround40:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    IEC958 (S/PDIF) Digital Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)
default:CARD=WebCam
    USB Device 0x46d:0x8b4, USB Audio
    Default Audio Device
front:CARD=WebCam,DEV=0
    USB Device 0x46d:0x8b4, USB Audio
    Front speakers
surround40:CARD=WebCam,DEV=0
    USB Device 0x46d:0x8b4, USB Audio
    4.0 Surround output to Front and Rear speakers
surround41:CARD=WebCam,DEV=0
    USB Device 0x46d:0x8b4, USB Audio
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=WebCam,DEV=0
    USB Device 0x46d:0x8b4, USB Audio
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=WebCam,DEV=0
    USB Device 0x46d:0x8b4, USB Audio
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=WebCam,DEV=0
    USB Device 0x46d:0x8b4, USB Audio
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=WebCam,DEV=0
    USB Device 0x46d:0x8b4, USB Audio
    IEC958 (S/PDIF) Digital Audio Output
default:CARD=WebCam2
    USB Device 0x46d:0x8dd, USB Audio
    Default Audio Device
front:CARD=WebCam2,DEV=0
    USB Device 0x46d:0x8dd, USB Audio
    Front speakers
surround40:CARD=WebCam2,DEV=0
    USB Device 0x46d:0x8dd, USB Audio
    4.0 Surround output to Front and Rear speakers
surround41:CARD=WebCam2,DEV=0
    USB Device 0x46d:0x8dd, USB Audio
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=WebCam2,DEV=0
    USB Device 0x46d:0x8dd, USB Audio
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=WebCam2,DEV=0
    USB Device 0x46d:0x8dd, USB Audio
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=WebCam2,DEV=0
    USB Device 0x46d:0x8dd, USB Audio
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=WebCam2,DEV=0
    USB Device 0x46d:0x8dd, USB Audio
    IEC958 (S/PDIF) Digital Audio Output

Here is what "arecord -L" says on the same machine:

$ arecord -L
default:CARD=Audigy2
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Default Audio Device
front:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Front speakers
rear:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Rear speakers
center_lfe:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Center and Subwoofer speakers
side:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    Side speakers
surround40:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    4.0 Surround output to Front and Rear speakers
surround41:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    4.1 Surround output to Front, Rear and Subwoofer speakers
surround50:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    5.0 Surround output to Front, Center and Rear speakers
surround51:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    5.1 Surround output to Front, Center, Rear and Subwoofer speakers
surround71:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    7.1 Surround output to Front, Center, Side, Rear and Woofer speakers
iec958:CARD=Audigy2,DEV=0
    Audigy 2 ZS [SB0353], ADC Capture/Standard PCM Playback
    IEC958 (S/PDIF) Digital Audio Output
null
    Discard all samples (playback) or generate zero samples (capture)
Comment 3 Chris Rankin 2008-01-26 17:22:42 EST
This is now looking like "user error", as I have now managed to capture sound
with all but one of my webcams. The problem so far has been not setting an
unexpected mixer setting (found by examining /etc/alsa/asound.state). Previously
I was just setting the capture level via alsamixer, but apparently there's an
ON/OFF setting too.

The remaining webcam is behaving as if some other application has grabbed the
capture device so that arecord is left hanging uselessly until it becomes free
again. To date, I have not worked out which other application it might be.

Note You need to log in before you can comment on or make changes to this bug.